%define majver %(echo %version | cut -d. -f1-2)

Name:          qt6-qttranslations
Version:       6.8.2
Release:       1mamba
Summary:       Qt6 translations components
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qt.io/
Source:        https://download.qt.io/official_releases/qt/%{majver}/%{version}/submodules/qttranslations-everywhere-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END	
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qttools-devel
BuildRequires: qt6-linguist = %{version}
Supplements:   libQt6Core

%description
Qt6 translations components.

%define debug_package %{nil}

%prep
%setup -q -n qttranslations-everywhere-src-%{version}

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --all-name

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_qt6_translationdir}/catalogs.json
%{_qt6_archdatadir}/sbom/qttranslations-%{version}.spdx
%doc LICENSES

%changelog
* Sat Feb 08 2025 Automatic Build System <autodist@openmamba.org> 6.8.2-1mamba
- automatic version update by autodist

* Sat Dec 07 2024 Automatic Build System <autodist@openmamba.org> 6.8.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.8.0-1mamba
- update to 6.8.0

* Wed Oct 09 2024 Automatic Build System <autodist@openmamba.org> 6.7.3-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 6.7.2-1mamba
- automatic version update by autodist

* Tue Jun 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 6.7.1-1mamba
- update to 6.7.1

* Mon Nov 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.7-1mamba
- update to 5.15.7

* Sat Nov 06 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 5.15.2-1mamba
- package created using the webbuild interface
%{_qt6_archdatadir}/sbom/qttranslations-%{version}.spdx
